g2_free.c(3)

NAME
g2_free.c - Free up memory that was allocated for struct gribfield.

SYNOPSIS

#include 'grib2_int.h'
#include <stdlib.h>

  Functions

void g2_free (gribfield *gfld)
Free memory that was allocated for struct gribfield.

Detailed Description

Free up memory that was allocated for struct gribfield.

Author
    Stephen Gilbeert

Date
    2002-10-28

Definition in file g2_free.c.

Function Documentation

  void g2_free (gribfield * gfld)

Free memory that was allocated for struct gribfield.

Parameters
    gfld pointer to gribfield structure (defined in include file grib2.h) returned from routine g2_getfld().

Note
    This routine must be called to free up memory used by the decode routine, g2_getfld(), when user no longer needs to reference this data.

Author
    Stephen Gilbeert

Date
    2002-10-28

Definition at line 23 of file g2_free.c.

References gribfield::bmap, gribfield::coord_list, gribfield::fld, gribfield::idrtmpl, gribfield::idsect, gribfield::igdtmpl, gribfield::ipdtmpl, gribfield::list_opt, and gribfield::local.

Referenced by g2_getfld().

Author

Generated automatically by Doxygen for NCEPLIBS-g2c from the source code.